Skip to content

Fast lexical search for the top search palette

POST
/search/quick

Searches notes, memories, URLs, pages, and emails when email access is enabled. Returns normalized records with safe highlight segments and client open targets.

Authorizations

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"query": "string",
  
"project_id": "string",
  
"per_page": 0,
  
"limit": 0
}

Responses

OK

application/json
JSON
{
  
"query": "string",
  
"found": 0,
  
"results": [
  
  
{
  
  
  
"id": "string",
  
  
  
"type": "string",
  
  
  
"title": "string",
  
  
  
"subtitle": "string",
  
  
  
"excerpt": "string",
  
  
  
"highlight_field": "string",
  
  
  
"highlight_segments": [
  
  
  
  
{
  
  
  
  
  
"text": "string",
  
  
  
  
  
"highlighted": true
  
  
  
  
}
  
  
  
],
  
  
  
"project_id": "string",
  
  
  
"updated_at": 0,
  
  
  
"open_target": {
  
  
  
}
  
  
}
  
]
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI